# std::forward_iterator_tag Struct Reference

Forward iterators support a superset of input iterator operations. More...

`#include <stl_iterator_base_types.h>`

Inheritance diagram for std::forward_iterator_tag:

[legend]
Collaboration diagram for std::forward_iterator_tag:

[legend]

## Detailed Description

Forward iterators support a superset of input iterator operations.

Definition at line 84 of file stl_iterator_base_types.h.

The documentation for this struct was generated from the following file:

- stl_iterator_base_types.h